Altibase.jdbc.driver.cm

## Class CmProtocolContext

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext

Direct Known Subclasses:
  CmProtocolContextConnect, CmProtocolContextDirExec, CmProtocolContextLob, CmProtocolContextXA

    public class CmProtocolContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContext(CmChannel aChannel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCmResult(CmResult aResult)`
`CmChannel` `channel()`
`void` `clearCmResult(byte aResultOp)`
`void` `clearError()`
`CmResult` `getCmResult(byte aResultOp)`
`CmErrorResult` `getError()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContext

    public CmProtocolContext(CmChannel aChannel)

### Method Detail

#### addCmResult

    public void addCmResult(CmResult aResult)

#### clearError

    public void clearError()

#### getError

    public CmErrorResult getError()

#### channel

    public CmChannel channel()

#### getCmResult

    public CmResult getCmResult(byte aResultOp)

#### clearCmResult

    public void clearCmResult(byte aResultOp)